Supported PHP Versions

PHP Compatibility

Data Sources

The raw data for this chart is based on the “minimum required PHP version” and the “latest tested version of PHP” for each WordPress version.

This chart displays the supported PHP versions.

History

For long time WordPress officially released only the minimum PHP version required to run WordPress. The practice begin with the release of WordPress 2.0.

There was never a maximum PHP version, it was always assumed that WordPress will work on the latest PHP version available at the time of each WordPress release.

At some point, when automated tests added, we could retrieve the latest tested version of PHP for each WordPress release.

Historical Data

5.5Supported PHP versions 5.6 - 7.4.
5.4Supported PHP versions 5.6 - 7.4.
5.3Supported PHP versions 5.6 - 7.4.
5.2Supported PHP versions 5.6 - 7.3.
5.1Supported PHP versions 5.2 - 7.3.
5.0Supported PHP versions 5.2 - 7.3.
4.9Supported PHP versions 5.2 - 7.2.
4.8Supported PHP versions 5.2 - 7.1.
4.7Supported PHP versions 5.2 - 7.1.
4.6Supported PHP versions 5.2 - 7.0.
4.5Supported PHP versions 5.2 - 7.0.
4.4Supported PHP versions 5.2 - 7.0.
4.3Supported PHP versions 5.2 - 5.6.
4.2Supported PHP versions 5.2 - 5.6.
4.1Supported PHP versions 5.2 - 5.6.
4.0Supported PHP versions 5.2 - 5.5.
3.9Supported PHP versions 5.2 - 5.5.
3.8Supported PHP versions 5.2 - 5.5.
3.7Supported PHP versions 5.2 - 5.5.
3.6Supported PHP versions 5.2 - 5.4.
3.5Supported PHP versions 5.2 - 5.4.
3.4Supported PHP versions 5.2 - 5.4.
3.3Supported PHP versions 5.2 - 5.3.
3.2Supported PHP versions 5.2 - 5.3.
3.1Supported PHP versions 4.3 - 5.3.
3.0Supported PHP versions 4.3 - 5.3.
2.9Supported PHP versions 4.3 - 5.3.
2.8Supported PHP versions 4.3 - 5.2.
2.7Supported PHP versions 4.3 - 5.2.
2.6Supported PHP versions 4.3 - 5.2.
2.5Supported PHP versions 4.3 - 5.2.
2.3Supported PHP versions 4.2 - 5.2.
2.2Supported PHP versions 4.2 - 5.2.
2.1Supported PHP versions 4.2 - 5.2.
2.0Supported PHP versions 4.2 - 5.1.
1.5No supported PHP versions.
1.2No supported PHP versions.
1.0No supported PHP versions.
0.7No supported PHP versions.